/**
 * OpenQIA Documents MicroService
 * Microservice managing the documents in the OpenQIA Project.
 *
 * The version of the OpenAPI document: 0.0.1-SNAPSHOT
 * Contact: sheepandhells@gmail.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { Status } from './status';
import { Type } from './type';
import { Section } from './section';


export interface Document { 
    reference?: string;
    type?: Type;
    companyLogoSVG?: string;
    companyName?: string;
    companyDescription?: string;
    author?: string;
    companyAddress?: string;
    companyTelephone?: string;
    companyEmail?: string;
    clientName?: string;
    clientAddress?: string;
    creationDate?: string;
    updateDate?: string;
    creationLocation?: string;
    subjet?: string;
    content?: Array<Section>;
    totalAmountExcludingTax?: number;
    totalVAT?: number;
    totalAmountIncludingTax?: number;
    discountExcludingTax?: number;
    netTotalExcludingTax?: number;
    discountIncludingTax?: number;
    validityMessage?: string;
    paymentMethod?: string;
    conditions?: string;
    companyBankDetails?: string;
    companyInformation?: string;
    status?: Status;
}

